# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=mars
TARGET=mars.tif
PROJECT_FILE=/mnt/media/pictures/2007/nyc-0607/mars.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2007/nyc-0607/STA_0910.JPG /mnt/media/pictures/2007/nyc-0607/STB_0911.JPG /mnt/media/pictures/2007/nyc-0607/STC_0912.JPG /mnt/media/pictures/2007/nyc-0607/STD_0913.JPG /mnt/media/pictures/2007/nyc-0607/STE_0914.JPG 

# remapped images
REMAPPED_IMAGES=mars0000.tif mars0001.tif mars0002.tif mars0003.tif mars0004.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v  -f6625x2277


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


